# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

# We need to patch the test suite if we have old versions of Test::More
%global teenage_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.94) ? 1 : 0);' 2>/dev/null || echo 0)
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)
%global older_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.82) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Perl-Critic-Lax
Version:	0.010
Release:	1.%{__distinit}%{__distvers}
Summary:	Policies that let you slide on common exceptions
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Perl-Critic-Lax/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Perl-Critic-Lax-%{version}.tar.gz
Patch0:		Perl-Critic-Lax-0.010-tm094.patch
Patch1:		Perl-Critic-Lax-0.010-tm088.patch
Patch2:		Perl-Critic-Lax-0.010-tm082.patch
Patch5:		Perl-Critic-Lax-0.009-old-EU::MM.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(parent)
BuildRequires:	perl(Perl::Critic) >= 0.21
BuildRequires:	perl(Perl::Critic::Policy)
BuildRequires:	perl(Perl::Critic::TestUtils)
BuildRequires:	perl(Perl::Critic::Utils)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.41
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Perl::Critic) >= 0.21

%description
The Perl-Critic-Lax distribution includes versions of core Perl::Critic
modules with built-in exceptions. If you really like a Perl::Critic policy,
but find that you often violate it in a specific way that seems pretty darn
reasonable, maybe there's a Lax policy. If there isn't, send one in!

%prep
%setup -q -n Perl-Critic-Lax-%{version}

# We need to patch the test suite if we have an old version of Test::More
%if %{teenage_test_more}
%patch0
%endif
%if %{old_test_more}
%patch1
%endif
%if %{older_test_more}
%patch2
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch5
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Perl/
%{_mandir}/man3/Perl::Critic::Lax.3pm*
%{_mandir}/man3/Perl::Critic::Policy::Lax::ProhibitComplexMappings::LinesNotStatements.3pm*
%{_mandir}/man3/Perl::Critic::Policy::Lax::ProhibitEmptyQuotes::ExceptAsFallback.3pm*
%{_mandir}/man3/Perl::Critic::Policy::Lax::ProhibitLeadingZeros::ExceptChmod.3pm*
%{_mandir}/man3/Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire.3pm*
%{_mandir}/man3/Perl::Critic::Policy::Lax::RequireEndWithTrueConst.3pm*
%{_mandir}/man3/Perl::Critic::Policy::Lax::RequireExplicitPackage::ExceptForPragmata.3pm*

%changelog
* Thu Oct 10 2013 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010
  - Update bugtracker and repo metadata
- Update patches for building with old Test::More versions

* Tue Sep 11 2012 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009
  - Repackage with Dist::Zilla, primarily to fix busted metadata
- Drop BR: perl(base), perl(Cwd), perl(File::Path) and perl(File::Spec)
  since we're no longer using Module::Install
- Drop BR: perl(Test::Pod::Coverage) as coverage test has gone
- BR: perl(File::Temp) and perl(parent)
- Bump perl(Test::Pod) version requirement to 1.41
- Add patches to handle building with old ExtUtils::MakeMaker and
  Test::More versions on older distributions

* Fri Jul 13 2012 Paul Howarth <paul@city-fan.org> - 0.008-5
- BR: perl(base), perl(Cwd), perl(File::Path) and perl(File::Spec)
- Don't need to remove empty directories from the buildroot

* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> - 0.008-4
- Import from Fedora
- Install to vendor directories
- Reinstate compatibility with old distributions like EL-5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.008-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.008-2
- Perl mass rebuild

* Thu Jan 27 2011 Petr Pisar <ppisar@redhat.com> 0.008-1
- Specfile autogenerated by cpanspec 1.78
- Remove BuildRoot stuff
- Install into perl core directory
